Bug 523972 - voms ABI was wrong for versions 1.9.8 to 1.9.11
Summary: voms ABI was wrong for versions 1.9.8 to 1.9.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: voms
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 520479
TreeView+ depends on / blocked
 
Reported: 2009-09-17 12:54 UTC by Steve Traylen
Modified: 2009-09-29 22:01 UTC (History)
1 user (show)

Fixed In Version: 3.1.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 05:07:14 UTC


Attachments (Terms of Use)

Description Steve Traylen 2009-09-17 12:54:59 UTC
Description of problem:

Between versions 1.9.7 and 1.9.8 the VOMS ABI changed in an incompatible
way. 1.9.11 has the same ABI and 1.9.8.

This change was not meant to happen and not reflected in the .so names.

Version-Release number of selected component (if applicable):

1.9.11

How reproducible:



Steps to Reproduce:
1. Compile something on 1.9.11
2. Install 1.9.12 at some point in the future.
3. The thing compiles fails.
  
Actual results:


Expected results:


Additional info:

Given 1.9.11 is only just released in Fedora and
currently nothing is built against voms it makes 
a lot of sense for an upgrade 1.9.12. 1.9.12
restores the intended ABI of 1.9.7.

 Steve.

Comment 1 Fedora Update System 2009-09-21 05:39:27 UTC
voms-1.9.12.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/voms-1.9.12.1-1.fc11

Comment 2 Fedora Update System 2009-09-21 05:39:31 UTC
voms-1.9.12.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/voms-1.9.12.1-1.fc10

Comment 3 Fedora Update System 2009-09-22 22:26:19 UTC
voms-mysql-plugin-3.1.1-1.el5, voms-1.9.12.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update voms-mysql-plugin voms'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0428

Comment 4 Fedora Update System 2009-09-22 22:26:34 UTC
voms-mysql-plugin-3.1.1-1.el4, voms-1.9.12.1-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update voms-mysql-plugin voms'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0422

Comment 5 Fedora Update System 2009-09-24 05:07:09 UTC
voms-1.9.12.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-09-24 05:11:46 UTC
voms-1.9.12.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-09-29 22:00:19 UTC
voms-mysql-plugin-3.1.1-1.el4, voms-1.9.12.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-09-29 22:01:03 UTC
voms-mysql-plugin-3.1.1-1.el5, voms-1.9.12.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.